org.wildfly.swarm.config.messaging.activemq.server

## Class GroupingHandler<T extends GroupingHandler<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.GroupingHandler<T>

-     public class GroupingHandler<T extends GroupingHandler<T>>
      extends Object

  Makes decisions about which node in a cluster should handle a message with a group id assigned.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupingHandler.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupingHandler(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `groupingHandlerAddress()` A reference to a cluster connection and the address it uses.
    `T` | `groupingHandlerAddress(String value)` A reference to a cluster connection and the address it uses.
    `Long` | `groupTimeout()` How long a group binding will be used, -1 means for ever.
    `T` | `groupTimeout(Long value)` How long a group binding will be used, -1 means for ever.
    `Long` | `reaperPeriod()` How often the reaper will be run to check for timed out group bindings (only valid for LOCAL handlers).
    `T` | `reaperPeriod(Long value)` How often the reaper will be run to check for timed out group bindings (only valid for LOCAL handlers).
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `timeout()` How long to wait for a handling decision to be made; an exception will be thrown during the send if this timeout is reached, ensuring that strict ordering is kept.
    `T` | `timeout(Long value)` How long to wait for a handling decision to be made; an exception will be thrown during the send if this timeout is reached, ensuring that strict ordering is kept.
    `GroupingHandler.Type` | `type()` Whether the handler is the single "Local" handler for the cluster, which makes handling decisions, or a "Remote" handler which converses with the local handler.
    `T` | `type(GroupingHandler.Type value)` Whether the handler is the single "Local" handler for the cluster, which makes handling decisions, or a "Remote" handler which converses with the local handler.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupingHandler

          public GroupingHandler(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### groupTimeout

          public Long groupTimeout()

      How long a group binding will be used, -1 means for ever. Bindings are removed after this wait elapses (valid for both LOCAL and REMOTE handlers).

    - #### groupTimeout

          public T groupTimeout(Long value)

      How long a group binding will be used, -1 means for ever. Bindings are removed after this wait elapses (valid for both LOCAL and REMOTE handlers).

    - #### groupingHandlerAddress

          public String groupingHandlerAddress()

      A reference to a cluster connection and the address it uses.

    - #### groupingHandlerAddress

          public T groupingHandlerAddress(String value)

      A reference to a cluster connection and the address it uses.

    - #### reaperPeriod

          public Long reaperPeriod()

      How often the reaper will be run to check for timed out group bindings (only valid for LOCAL handlers).

    - #### reaperPeriod

          public T reaperPeriod(Long value)

      How often the reaper will be run to check for timed out group bindings (only valid for LOCAL handlers).

    - #### timeout

          public Long timeout()

      How long to wait for a handling decision to be made; an exception will be thrown during the send if this timeout is reached, ensuring that strict ordering is kept.

    - #### timeout

          public T timeout(Long value)

      How long to wait for a handling decision to be made; an exception will be thrown during the send if this timeout is reached, ensuring that strict ordering is kept.

    - #### type

          public GroupingHandler.Type type()

      Whether the handler is the single "Local" handler for the cluster, which makes handling decisions, or a "Remote" handler which converses with the local handler.

    - #### type

          public T type(GroupingHandler.Type value)

      Whether the handler is the single "Local" handler for the cluster, which makes handling decisions, or a "Remote" handler which converses with the local handler.

Copyright © 2018 JBoss by Red Hat. All rights reserved.